Subject: Re: bug#14220: 24.3; Odd vertical height of some glyphs in certain fonts

From: Reuben Thomas <[email-masked]>
Date: Wed, 17 Apr 2013 15:14:05 +0100

On 17 April 2013 12:45, Kenichi Handa <[email-masked]> wrote:

> In article <[email-masked]>, Reuben Thomas <[email-masked]> writes:
>
> > If I set variable-pitch-face to Droid Serif, the right arrow → is much
> > taller than most other glyphs, effectively forcing extra space after
> > lines containing it. In DejaVu Serif, this does not happen.
> Please
> check which font is used for → in your Emacs by putting
> cursor on that character and type C-u C-x =.  If you do find
> that your Emacs is using the Droid Serif font, could you
> please send me that font?
>

The font being used is:

    xft:-unknown-Asana Math-normal-normal-normal-*-14-*-*-*-*-0-iso10646-1
(#x1D5)

The glyph is shown with the correct baseline, but a large descender space
(the entire glyph appears to sit above the baseline). Normally, Emacs only
makes the line taller when there's a glyph which actually needs the space.